# Sampling and Music-rendering parameters
SAMPLE_RATE = 16000


# SSH Parameters
SSH_HOST = "idun-login1.hpc.ntnu.no"
SSH_USER = "fredrifw"
SSH_PASSWORD = ""
SSH_WD = "/cluster/home/fredrifw"

ROOT = "C:/Users/Fredrik/Documents/Skole/Masteroppgave/AMT"

# ---------- VST (GENERATOR) PATHS ----------
OMNISPHERE = ("C:/Program Files/Steinberg/VstPlugins/Omnisphere.dll",
              [f"{ROOT}/Presets/Generators/Omnisphere/Keyscape", f"{ROOT}/Presets/Generators/Omnisphere/Spectrasonics Guitar",
               f"{ROOT}/Presets/Generators/Omnisphere/Spectrasonics Bells", f"{ROOT}/Presets/Generators/Omnisphere/Spectrasonics Pads"])
SERUM = ("D:/VstPlugins/Serum_x64.dll", [f"{ROOT}/Presets/Generators/Serum/Synths", f"{ROOT}/Presets/Generators/Serum/Bass",
                                         f"{ROOT}/Presets/Generators/Serum/Leads", f"{ROOT}/Presets/Generators/Serum/Pads", f"{ROOT}/Presets/Generators/Serum/Plucks"])

KONTAKT = ("C:/Program Files/Native Instruments/VSTPlugins 64 bit/Kontakt.dll", [f"{ROOT}/Presets/Generators/Kontakt/Brass",
        f"{ROOT}/Presets/Generators/Kontakt/Basic", f"{ROOT}/Presets/Generators/Kontakt/Retro Machines",
        f"{ROOT}/Presets/Generators/Kontakt/Scarbee Mark", f"{ROOT}/Presets/Generators/Kontakt/Scarbee Rickenbauer Bass", f"{ROOT}/Presets/Generators/Kontakt/Vintage Organs"] )

# ---------- VST (EFFECTOR, PRESETS) PATHS ----------
RC20 = ("C:/Program Files/Steinberg/VstPlugins/RC-20 Retro Color.dll", [f"{ROOT}/Presets/Effectors/RC20"])
RC20_13P = ("C:/Program Files/Steinberg/VstPlugins/RC-20 Retro Color.dll", [f"{ROOT}/Presets/Effectors/RC20-12.5P"])
RC20_25P = ("C:/Program Files/Steinberg/VstPlugins/RC-20 Retro Color.dll", [f"{ROOT}/Presets/Effectors/RC20-25P"])
RC20_50P = ("C:/Program Files/Steinberg/VstPlugins/RC-20 Retro Color.dll", [f"{ROOT}/Presets/Effectors/RC20-50P"])
RC20_75P = ("C:/Program Files/Steinberg/VstPlugins/RC-20 Retro Color.dll", [f"{ROOT}/Presets/Effectors/RC20-75P"])
SERUM_FX = ("D:/VstPlugins/SerumFX_x64.dll", [f"{ROOT}/Presets/Effectors/SerumFX"])



# ---------- CONFIG PROBABILITIES ----------
EFFECT_PROB = 0.6  # Probability that an effect gets added to an audio
INCLUDE_PROB = 1  # Probability that a stem gents included in final mix

# ---------- PATH REGEX PATTERNS ----------
SLAKH_AUDIO = "^Datasets$@^slakh2100_flac_redux$@^train$@(.*)@^stems$@.*(.wav)$"
SLAKH_MIDI = "^Datasets$@^slakh2100_flac_redux$@^train$@(.*)@^all_src.mid$"
SLAKH_MIDI_ALL = ("../", "^all_src.mid$")  # 0 is root from wav folder, 1 is pattern for midi in that folder
SLAKH_NAMING_INDEX = 3

SLAKH_LOCAL = "^Dataset$@^slakh2100_flac_redux$@^train$@(.*)@^stems$@.*(.wav)$"
SLAKH_LOCAL_NAMING_INDEX = 3

CERBERUS_AUDIO = "^Datasets$@^Cerberus$@^train$@(.*)@^stems$@.*(.wav)$"
CERBERUS_MIDI = "^Datasets$@^Cerberus$@^train$@(.*)@^all_src.mid$"
CERBERUS_MIDI_ALL = ("../", "^all_src.mid$")
CERBERUS_NAMING_INDEX = 3

URMP = "^Datasets$@^URMP$@^Dataset$@^train$@^[0-9]{2}_(.*)@^AuSep(.*)(.wav)$"
URMP_MIDI = "^Datasets$@^URMP$@^Dataset$@^train$@^[0-9]{2}_(.*)@^[0-9]{1}_(.*).mid$"
URMP_MIDI_ALL = (".", ".*(.mid)$")
URMP_NAMING_INDEX = 4

URMP_LOCAL = "^Datasets$@^URMP$@^Dataset$@^^[0-9]{2}_(.*)@.*(.mid|.midi)$"
URMP_NAMING_INDEX_LOCAL = 3

MUSICNET_AUDIO = "^Datasets$@^musicnet$@^tracks$@^train$@^[0-9]{4}(.*)$@.*(.wav)$"
MUSICNET_MIDI = "^Datasets$@^musicnet$@^tracks$@^train$@^[0-9]{4}(.*)$@^[0-9]_.*(.mid|.midi)$"
MUSICNET_MIDI_ALL = (".", ".*(.mid|.midi)$")
MUSICNET_NAMING_INDEX = 4

GUITARSET_AUDIO = "^Datasets$@^GuitarSet$@^train$@^[0-9]{2}(.*)(comp|solo)$@^.*(.wav)$"
GUITARSET_MIDI = "^Datasets$@^GuitarSet$@^train$@^[0-9]{2}(.*)(comp|solo)$@^.*(.mid|.midi)$"
GUITARSET_MIDI_ALL = (".", ".*(.mid|.midi)$")
GUITARSET_NAMING_INDEX = 3

MAESTRO_AUDIO = "^Datasets$@^maestro-v3.0.0$@^train$@(.*)@.*(.wav)$"
MAESTRO_MIDI = "^Datasets$@^maestro-v3.0.0$@^train$@(.*)@.*(.mid|.midi)$"
MAESTRO_MIDI_ALL = (".", ".*(.mid|.midi)$")
MAESTRO_NAMING_INDEX = 3

