"""
Holds configuration for datasets
"""
from config import *

# ---------- DatasetGenerator // TFRecord Generation ----------
TFRECORD_LOCATION = f"{SSH_WD}/TFRecords"
TFRECORD_DATASETS = [
    {
        "dataset": "guitarset",     # CONFIRMED
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "use": True
    },
    {
        "dataset": "guitarset",     # CONFIRMED
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/validation",
        "use": True
    },
    {
        "dataset": "guitarset",
        "name": "e1",
        "generate_folder": f"{SSH_WD}/GuitarSet-SSH",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "use": True
    },
    {
        "dataset": "guitarset",
        "name": "e1_normalzied",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/GuitarSet-SSH",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "use": False
    },
    {
        "dataset": "guitarset",
        "name": "e1_normalized_dbfs",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/GuitarSet-PeakNorm",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "use": False
    },
    {
        "dataset": "guitarset",
        "name": "e2",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/GuitarSet-Serum/",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "use": True
    },
    {
        "dataset": "urmp",  # CONFIRMED // Ny MIDI
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "use": True
    },
    {
        "dataset": "urmp",  # CONFIRMED // Ny MIDI
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/validation",
        "use": True
    },
    {
        "dataset": "urmp",  # 0205
        "name": "e2_kontakt",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/URMP-Kontakt/",
        "use": True
    },
    {
        "dataset": "musicnet",  # CONFIRMED // Ny MIDI
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/train",
        "use": True
    },
    {
        "dataset": "musicnet",  # CONFIRMED / Ny MIDI
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/validation",
        "use": True
    },
    {
        "dataset": "musicnet",  # CONFIRMED / Ny MIDI
        "name": "e1",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/Musicnet-RC20/",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/validation",
        "use": True
    },
    {
        "dataset": "maestro",
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/train",
        "use": True,
        "split": 6
    },
    {
        "dataset": "maestro",
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/validation",
        "use": True
    },
    {
        "dataset": "maestro",
        "name": "e1",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/Maestro-RC20/",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/validation",
        "use": False,
        "split": 6
    },
]