import numpy as np
import jams
import pretty_midi
import os
from tqdm import tqdm
from utils import jams_to_midi

"""
Replaces the JAMS in GuitarSet with MIDI
"""

wd = "../Datasets/GuitarSet/train"
for track in tqdm(os.listdir(wd)):
    for file in os.listdir(f"{wd}/{track}"):
        if file.endswith(".jams"):
            jams_file = jams.load(f"{wd}/{track}/{file}")
            midi = jams_to_midi(jams_file)
            midi.write(f"{wd}/{track}/{file.split('.')[0]}.mid")
            if os.path.exists(f"{wd}/{track}/{file.split('.')[1]}.mid"):
                os.remove(f"{wd}/{track}/original.mid")
